
require 'facets/core/string/capitalized'
require 'facets/core/symbol/capitalize'

class Symbol

  def capitalized?
    to_s.capitalized?
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCSymbol < Test::Unit::TestCase

    def test_capitalized?
      assert( :Tis.capitalized? )
      assert( ! :tis.capitalized? )
    end

  end

=end
